// Init game
const game = new PIXI.Application({background: '#000000', autoResize: true,});

$(function() {
document.body.append(game.view);
    
    // Handle resize
    $(window).resize(handleResize);
    handleResize();
    
    function handleResize() {
        game.renderer.resize($(window).innerWidth()-10, $(window).innerHeight()-10);
    }
    
    // Setup
    Spaceship.init();
    game.stage.addChild(Spaceship.sprite);
    game.ticker.add((delta) => {Spaceship.update(delta);});
    keyboardHandler();
});

function keyboardHandler() {
    $(window).keydown(function(event) {
        switch (event.keyCode) {
            case 37: // Left
                Spaceship.turning = 'left';
                break;
            case 39: // Right
                Spaceship.turning = 'right';
                break;
            case 38: // Up
                Spaceship.movement = 'accelerate';
                break;
            case 40: // Down
                Spaceship.movement = 'decelerate';
                break;
        }
    })
    
    $(window).keyup(function(event) {
        switch (event.keyCode) {
            case 37: // Left
            case 39: // Right
                Spaceship.turning = 'none';
                break;
            case 38: // Up
            case 40: // Down
                Spaceship.movement = 'none';
                break;
        }
    })
    
}